FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Java

 
 
LinkBack Thread Tools
 
Old 04-07-2011, 04:11 AM
أحمد المحمودي
 
Default RFS: swt-gtk 3.6.2-1

Hello,

Since Adrian is having some connectivity issues (among other things),
I am resending this RFS to the debian-java list, also Adrian is on the
CC.

I hope you would sponsor the upload of package "swt-gtk" for unstable.

It builds these binary packages:
libswt-gtk-3.6-java - Standard Widget Toolkit for GTK+ Java library
libswt-gtk-3.6-jni - Standard Widget Toolkit for GTK+ JNI library
libswt-gnome-gtk-3.6-jni - Standard Widget Toolkit for GTK+ GNOME JNI library
libswt-mozilla-gtk-3.6-jni - Standard Widget Toolkit for GTK+ Mozilla JNI library
libswt-cairo-gtk-3.6-jni - Standard Widget Toolkit for GTK+ Cairo JNI library
libswt-glx-gtk-3.6-jni - Standard Widget Toolkit for GTK+ GLX JNI library
libswt-webkit-gtk-3.6-jni - Standard Widget Toolkit for GTK+ WebKit JNI library
libswt-gtk-3.6-java-gcj - Standard Widget Toolkit for GTK+ native library

The upload would fix bug: 592338

Here's the changelog entry:

swt-gtk (3.6.2-1) unstable; urgency=low

* New upstream release. (Closes: #592338)
* debian/control, debian/Makefile, debian/libswt-webkit-gtk-3.6-jni.install:
add WebKit package.
* Dropped 02-bp-accessible-object.diff, since it is applied upstream.
* debian/control: Set Maintainer to Debian Java Maintainers, and added
Adrian and myself to Uploaders.
* Updated 64/arch64.diff patch (from Ubuntu package)
* Added common/02-webkit_linkage.patch patch from Ubuntu to fix linkage for
WebKit (>= 1.3).
* Added common/04-fix-webkit-includes.patch (based on a patch from Ubuntu),
to fix a missing include for WebKit (>= 1.3) JNI.
* debian/control: Put libswt-gtk-3.6-java-gcj in java section
* Bump to compat level 8.

As required, I tested the package against latest version of lintian
and it is lintian clean.

The package can be found on Git:
ssh://git.debian.org/git/pkg-java/swt-gtk.git

Please considering adding DMUA to the package.

Thanks...

--
‎أ*مد الم*مودي (Ahmed El-Mahmoudy)
Digital design engineer
GPG KeyID: 0xEDDDA1B7
GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7
 
Old 04-08-2011, 02:12 PM
tony mancill
 
Default RFS: swt-gtk 3.6.2-1

I will take a look at sponsoring the upload this weekend if no one else
beats me to it.

Cheers,
tony

On 04/06/2011 09:11 PM, أ*مد الم*مودي wrote:
> Hello,
>
> Since Adrian is having some connectivity issues (among other things),
> I am resending this RFS to the debian-java list, also Adrian is on the
> CC.
>
> I hope you would sponsor the upload of package "swt-gtk" for unstable.
>
> It builds these binary packages:
> libswt-gtk-3.6-java - Standard Widget Toolkit for GTK+ Java library
> libswt-gtk-3.6-jni - Standard Widget Toolkit for GTK+ JNI library
> libswt-gnome-gtk-3.6-jni - Standard Widget Toolkit for GTK+ GNOME JNI library
> libswt-mozilla-gtk-3.6-jni - Standard Widget Toolkit for GTK+ Mozilla JNI library
> libswt-cairo-gtk-3.6-jni - Standard Widget Toolkit for GTK+ Cairo JNI library
> libswt-glx-gtk-3.6-jni - Standard Widget Toolkit for GTK+ GLX JNI library
> libswt-webkit-gtk-3.6-jni - Standard Widget Toolkit for GTK+ WebKit JNI library
> libswt-gtk-3.6-java-gcj - Standard Widget Toolkit for GTK+ native library
>
> The upload would fix bug: 592338
>
> Here's the changelog entry:
>
> swt-gtk (3.6.2-1) unstable; urgency=low
>
> * New upstream release. (Closes: #592338)
> * debian/control, debian/Makefile, debian/libswt-webkit-gtk-3.6-jni.install:
> add WebKit package.
> * Dropped 02-bp-accessible-object.diff, since it is applied upstream.
> * debian/control: Set Maintainer to Debian Java Maintainers, and added
> Adrian and myself to Uploaders.
> * Updated 64/arch64.diff patch (from Ubuntu package)
> * Added common/02-webkit_linkage.patch patch from Ubuntu to fix linkage for
> WebKit (>= 1.3).
> * Added common/04-fix-webkit-includes.patch (based on a patch from Ubuntu),
> to fix a missing include for WebKit (>= 1.3) JNI.
> * debian/control: Put libswt-gtk-3.6-java-gcj in java section
> * Bump to compat level 8.
>
> As required, I tested the package against latest version of lintian
> and it is lintian clean.
>
> The package can be found on Git:
> ssh://git.debian.org/git/pkg-java/swt-gtk.git
>
> Please considering adding DMUA to the package.
>
> Thanks...
>
 

Thread Tools




All times are GMT. The time now is 08:07 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org